.TH "mca_allocator_bucket_chunk_header_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_allocator_bucket_chunk_header_t \- Structure for the header of each memory chunk.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <allocator_bucket_alloc.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBmca_allocator_bucket_chunk_header_t\fP * \fBnext_in_segment\fP"
.br
.RI "\fIThe next chunk in the memory segment. \fP"
.ti -1c
.RI "\fBmca_allocator_bucket_chunk_header_t::u\fP \fBu\fP"
.br
.RI "\fIthe union \fP"
.in -1c
.SS "Data Structures"

.in +1c
.ti -1c
.RI "union \fBu\fP"
.br
.RI "\fIUnion which holds either a pointer to the next free chunk or the bucket number. \fP"
.in -1c
.SH "Detailed Description"
.PP 
Structure for the header of each memory chunk. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
